Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling
Class ReportSchedulingFacade

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.ReportSchedulingFacade

All Implemented Interfaces:
  ReportSchedulingInternalService, ReportSchedulerListener, ReportSchedulingService, org.springframework.beans.factory.InitializingBean

    public class ReportSchedulingFacade

extends java.lang.Object
implements ReportSchedulingService, ReportSchedulingInternalService, ReportSchedulerListener, org.springframework.beans.factory.InitializingBean

Version:
  $Id: ReportSchedulingFacade.java 9819 2007-08-29 17:42:42Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportSchedulingFacade()`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `deleteJob(ExecutionContext context, long jobId)`
`ReportJobsInternalService` | `getJobsInternalService()`
`ReportJobsPersistenceService` | `getPersistenceService()`
`ReportJob` | `getScheduledJob(ExecutionContext context, long jobId)`
`java.util.List` | `getScheduledJobs(ExecutionContext context)`
`java.util.List` | `getScheduledJobs(ExecutionContext context, java.lang.String reportUnitURI)`
`ReportJobsScheduler` | `getScheduler()`
`ReportJobValidator` | `getValidator()`
`protected boolean` | `hasTriggerErrors(ValidationErrors errors)`
`void` | `removeReportUnitJobs(java.lang.String reportUnitURI)`
`void` | `removeScheduledJob(ExecutionContext context, long jobId)`
`void` | `removeScheduledJobs(ExecutionContext context, long[] jobIds)`
`void` | `reportJobFinalized(long jobId)`
`ReportJob` | `saveJob(ExecutionContext context, ReportJob job)`
`ReportJob` | `scheduleJob(ExecutionContext context, ReportJob job)`
`void` | `setJobsInternalService(ReportJobsInternalService jobsInternalService)`
`void` | `setPersistenceService(ReportJobsPersistenceService persistenceService)`
`void` | `setScheduler(ReportJobsScheduler scheduler)`
`protected void` | `setSummaryRuntimeInformation(ExecutionContext context, java.util.List jobs)`
`void` | `setValidator(ReportJobValidator validator)`
`protected void` | `unscheduleJobs(long[] deletedJobIds)`
`void` | `updateScheduledJob(ExecutionContext context, ReportJob job)`
`protected void` | `validate(ExecutionContext context, ReportJob job)`
`ValidationErrors` | `validateJob(ExecutionContext context, ReportJob job)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSchedulingFacade

    public ReportSchedulingFacade()

Method Detail

### getPersistenceService

    public ReportJobsPersistenceService getPersistenceService()

### setPersistenceService

    public void setPersistenceService(ReportJobsPersistenceService persistenceService)

### getScheduler

    public ReportJobsScheduler getScheduler()

### setScheduler

    public void setScheduler(ReportJobsScheduler scheduler)

### getValidator

    public ReportJobValidator getValidator()

### setValidator

    public void setValidator(ReportJobValidator validator)

### getJobsInternalService

    public ReportJobsInternalService getJobsInternalService()

### setJobsInternalService

    public void setJobsInternalService(ReportJobsInternalService jobsInternalService)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### scheduleJob

    public ReportJob scheduleJob(ExecutionContext context,
                                 ReportJob job)

  Specified by:
    `scheduleJob` in interface `ReportSchedulingService`

### validate

    protected void validate(ExecutionContext context,
                            ReportJob job)

### getScheduledJobs

    public java.util.List getScheduledJobs(ExecutionContext context,
                                           java.lang.String reportUnitURI)

  Specified by:
    `getScheduledJobs` in interface `ReportSchedulingService`

### getScheduledJobs

    public java.util.List getScheduledJobs(ExecutionContext context)

  Specified by:
    `getScheduledJobs` in interface `ReportSchedulingService`

### setSummaryRuntimeInformation

    protected void setSummaryRuntimeInformation(ExecutionContext context,
                                                java.util.List jobs)

### removeScheduledJob

    public void removeScheduledJob(ExecutionContext context,
                                   long jobId)

  Specified by:
    `removeScheduledJob` in interface `ReportSchedulingService`

### removeScheduledJobs

    public void removeScheduledJobs(ExecutionContext context,
                                    long[] jobIds)

  Specified by:
    `removeScheduledJobs` in interface `ReportSchedulingService`

### removeReportUnitJobs

    public void removeReportUnitJobs(java.lang.String reportUnitURI)

  Specified by:
    `removeReportUnitJobs` in interface `ReportSchedulingInternalService`

### unscheduleJobs

    protected void unscheduleJobs(long[] deletedJobIds)

### deleteJob

    protected void deleteJob(ExecutionContext context,
                             long jobId)

### getScheduledJob

    public ReportJob getScheduledJob(ExecutionContext context,
                                     long jobId)

  Specified by:
    `getScheduledJob` in interface `ReportSchedulingService`

### reportJobFinalized

    public void reportJobFinalized(long jobId)

  Specified by:
    `reportJobFinalized` in interface `ReportSchedulerListener`

### updateScheduledJob

    public void updateScheduledJob(ExecutionContext context,
                                   ReportJob job)

  Specified by:
    `updateScheduledJob` in interface `ReportSchedulingService`

### validateJob

    public ValidationErrors validateJob(ExecutionContext context,
                                        ReportJob job)

  Specified by:
    `validateJob` in interface `ReportSchedulingService`

### hasTriggerErrors

    protected boolean hasTriggerErrors(ValidationErrors errors)

### saveJob

    public ReportJob saveJob(ExecutionContext context,
                             ReportJob job)

  Specified by:
    `saveJob` in interface `ReportSchedulingInternalService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.